#!/bin/sh
#
# eclipse-mylyn SRPM produces one binary RPM including
# the org.eclipse.mylyn-feature
# 
# Note:
# eclipse-mylyn-commons needs to be built prior to this package.
RELEASE_TAG="R_3_6_4"

rm -rf org.eclipse.mylyn.context.tar.bz2
rm -rf org.eclipse.mylyn.tasks.tar.bz2
rm -rf org.eclipse.mylyn.commons.tar.bz2

wget -O org.eclipse.mylyn.commons.tar.bz2 http://git.eclipse.org/c/mylyn/org.eclipse.mylyn.commons.git/snapshot/${RELEASE_TAG}.tar.bz2
wget -O org.eclipse.mylyn.context.tar.bz2 http://git.eclipse.org/c/mylyn/org.eclipse.mylyn.context.git/snapshot/${RELEASE_TAG}.tar.bz2
wget -O org.eclipse.mylyn.tasks.tar.bz2 http://git.eclipse.org/c/mylyn/org.eclipse.mylyn.tasks.git/snapshot/${RELEASE_TAG}.tar.bz2

for i in org.eclipse.mylyn.tasks.tar.bz2 \
         org.eclipse.mylyn.context.tar.bz2 \
         org.eclipse.mylyn.commons.tar.bz2; do
  tar -xjf $i
done

# remove sources we don't need
pushd $RELEASE_TAG > /dev/null
ls -1 | grep -vE 'org.eclipse.mylyn.context.core|^org.eclipse.mylyn$|org.eclipse.mylyn.discovery.core|org.eclipse.mylyn.discovery.ui|org.eclipse.mylyn.monitor.core|org.eclipse.mylyn.monitor.ui|org.eclipse.mylyn.tasks.core|org.eclipse.mylyn.tasks.search|org.eclipse.mylyn-feature|org.eclipse.mylyn.tasks.ui' | xargs rm -rf
popd > /dev/null

FETCHED_SOURCES_NAME="eclipse-mylyn-${RELEASE_TAG}-fetched-src"
mv $RELEASE_TAG $FETCHED_SOURCES_NAME
rm -rf $FETCHED_SOURCES_NAME.tar.bz2
tar -cjf $FETCHED_SOURCES_NAME.tar.bz2 $FETCHED_SOURCES_NAME

rm -rf $FETCHED_SOURCES_NAME
rm -rf org.eclipse.mylyn.context.tar.bz2
rm -rf org.eclipse.mylyn.tasks.tar.bz2
rm -rf org.eclipse.mylyn.commons.tar.bz2
